<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:45:32 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio.util (HttpCore NIO 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/http/nio/util/package-summary.html" target="classFrame">org.apache.http.nio.util</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="BufferInfo.html" title="interface in org.apache.http.nio.util" target="classFrame"><I>BufferInfo</I></A>
<BR>
<A HREF="ByteBufferAllocator.html" title="interface in org.apache.http.nio.util" target="classFrame"><I>ByteBufferAllocator</I></A>
<BR>
<A HREF="ContentInputBuffer.html" title="interface in org.apache.http.nio.util" target="classFrame"><I>ContentInputBuffer</I></A>
<BR>
<A HREF="ContentOutputBuffer.html" title="interface in org.apache.http.nio.util" target="classFrame"><I>ContentOutputBuffer</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="DirectByteBufferAllocator.html" title="class in org.apache.http.nio.util" target="classFrame">DirectByteBufferAllocator</A>
<BR>
<A HREF="ExpandableBuffer.html" title="class in org.apache.http.nio.util" target="classFrame">ExpandableBuffer</A>
<BR>
<A HREF="HeapByteBufferAllocator.html" title="class in org.apache.http.nio.util" target="classFrame">HeapByteBufferAllocator</A>
<BR>
<A HREF="SharedInputBuffer.html" title="class in org.apache.http.nio.util" target="classFrame">SharedInputBuffer</A>
<BR>
<A HREF="SharedOutputBuffer.html" title="class in org.apache.http.nio.util" target="classFrame">SharedOutputBuffer</A>
<BR>
<A HREF="SimpleInputBuffer.html" title="class in org.apache.http.nio.util" target="classFrame">SimpleInputBuffer</A>
<BR>
<A HREF="SimpleOutputBuffer.html" title="class in org.apache.http.nio.util" target="classFrame">SimpleOutputBuffer</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
